package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.entity.BaseExample;
import com.lightinit.hsdataportal.entity.DataRequirementData;
import com.lightinit.hsdataportal.entity.Requirement;
import com.lightinit.hsdataportal.entity.RequirementData;
import com.lightinit.hsdataportal.model.DataRequirementAddModel;
import com.lightinit.hsdataportal.model.MyRequirementListModel;
import com.lightinit.hsdataportal.model.MyRequirementSearchModel;
import com.lightinit.hsdataportal.model.ResultState;

import java.util.List;

public interface IMyDataRequirementService {
    List<MyRequirementListModel> selectOpenList(Long id);

    List<MyRequirementListModel> selectShareList(Long id);

    Requirement selectRequirementById(Long id);

    ResultState<Long> offLine(Requirement requirement);

    ResultState<Long> del(Long id);

    Requirement selectById(Long id);

    RequirementData selectByRqmentId(Long id);

    List<DataRequirementData> selectByDataRqmentId(Long id);

    ResultState doEdit(DataRequirementAddModel inputModel);
}
